unit AboutDialog;

{$IMPORTEDDATA OFF}

interface

uses NForm;

type
  TAboutDialog = class(TDialog)
    ProfDir: WideString;
    RemoteName: WideString;
    constructor Create; override;
    procedure Init(var FocusId: Integer); override;
  end;

implementation

{$I dialogid.inc}

constructor TAboutDialog.Create;
begin
  inherited;
  TemplateName := 'ABOUTDIALOG';
end;

procedure TAboutDialog.Init(var FocusId: Integer);
begin
  inherited;
  Items[IDC_PROFILEDIR].SetText(ProfDir);
  if RemoteName = '' then
    Items[IDC_REMOTENAMELABEL].Hide()
  else begin
    Items[IDC_REMOTENAME].SetText(RemoteName);
    Items[IDC_REMOTENAMELABEL].Show();
  end;
end;

end.
